## lilv 0.14.4~dfsg0

=== wscript ===
#!/usr/bin/env python
import os
import sys
import subprocess

from waflib.extras import autowaf as autowaf
import waflib.Options as Options

# Version of this package (even if built as a child)
LILV_VERSION       = '0.14.4'
LILV_MAJOR_VERSION = '0'

# Library version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
# Lilv uses the same version number for both library and package
LILV_LIB_VERSION = LILV_VERSION

# Variables for 'waf dist'
APPNAME = 'lilv'
VERSION = LILV_VERSION

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_c')
    opt.load('compiler_cxx')
    opt.load('python')
    autowaf.set_options(opt)
    opt.add_option('--no-utils', action='store_true', dest='no_utils',
                   help='Do not build command line utilities')
    opt.add_option('--bindings', action='store_true', dest='bindings',
                   help='Build python bindings')
    opt.add_option('--dyn-manifest', action='store_true', dest='dyn_manifest',
                   help='Build support for dynamic manifests')
    opt.add_option('--test', action='store_true', dest='build_tests',
                   help='Build unit tests')
    opt.add_option('--no-bash-completion', action='store_true',
                   dest='no_bash_completion',
                   help='Do not install bash completion script in CONFIGDIR')
    opt.add_option('--static', action='store_true', dest='static',
                   help='Build static library')
    opt.add_option('--no-shared', action='store_true', dest='no_shared',
                   help='Do not build shared library')
    opt.add_option('--static-progs', action='store_true', dest='static_progs',
                   help='Build programs as static binaries')
    opt.add_option('--default-lv2-path', type='string', default='',
                   dest='default_lv2_path',
                   help='Default LV2 path to use if LV2_PATH is unset')

def configure(conf):
    conf.load('compiler_c')

    if Options.options.bindings:
        try:
            conf.load('swig')
            conf.load('python')
            conf.load('compiler_cxx')
            conf.check_python_headers()
            autowaf.define(conf, 'LILV_PYTHON', 1);
        except:
            pass

    autowaf.configure(conf)
    autowaf.set_c99_mode(conf)
    autowaf.display_header('Lilv Configuration')

    conf.env.BASH_COMPLETION = not Options.options.no_bash_completion
    conf.env.BUILD_TESTS     = Options.options.build_tests
    conf.env.BUILD_UTILS     = not Options.options.no_utils
    conf.env.BUILD_SHARED    = not Options.options.no_shared
    conf.env.STATIC_PROGS    = Options.options.static_progs
    conf.env.BUILD_STATIC    = (Options.options.static or
                                Options.options.static_progs)

    if not conf.env.BUILD_SHARED and not conf.env.BUILD_STATIC:
        conf.fatal('Neither a shared nor a static build requested')

    autowaf.check_pkg(conf, 'lv2', uselib_store='LV2',
                      atleast_version='1.0.0', mandatory=True)
    autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
                      atleast_version='0.14.0', mandatory=True)
    autowaf.check_pkg(conf, 'sord-0', uselib_store='SORD',
                      atleast_version='0.8.0', mandatory=True)
    autowaf.check_pkg(conf, 'sratom-0', uselib_store='SRATOM',
                      atleast_version='0.2.0', mandatory=True)

    autowaf.define(conf, 'LILV_NEW_LV2', 1)  # New LV2 discovery API

    defines = ['_POSIX_C_SOURCE', '_BSD_SOURCE']
    if Options.platform == 'darwin':
        defines += ['_DARWIN_C_SOURCE']

    # Check for gcov library (for test coverage)
    if conf.env.BUILD_TESTS:
        conf.check_cc(lib='gcov',
                      define_name='HAVE_GCOV',
                      mandatory=False)

    conf.check_cc(function_name='flock',
                  header_name='sys/file.h',
                  defines=defines,
                  define_name='HAVE_FLOCK',
                  mandatory=False)

    conf.check_cc(function_name='fileno',
                  header_name='stdio.h',
                  defines=defines,
                  define_name='HAVE_FILENO',
                  mandatory=False)

    conf.check_cc(function_name='clock_gettime',
                  header_name=['sys/time.h','time.h'],
                  defines=['_POSIX_C_SOURCE=199309L'],
                  define_name='HAVE_CLOCK_GETTIME',
                  uselib_store='CLOCK_GETTIME',
                  lib=['rt'],
                  mandatory=False)

    autowaf.define(conf, 'LILV_VERSION', LILV_VERSION)
    if Options.options.dyn_manifest:
        autowaf.define(conf, 'LILV_DYN_MANIFEST', 1)

    lilv_path_sep = ':'
    lilv_dir_sep  = '/'
    if sys.platform == 'win32':
        lilv_path_sep = ';'
        lilv_dir_sep = '\\\\'

    autowaf.define(conf, 'LILV_PATH_SEP', lilv_path_sep)
    autowaf.define(conf, 'LILV_DIR_SEP',  lilv_dir_sep)

    # Set default LV2 path
    lv2_path = Options.options.default_lv2_path
    if lv2_path == '':
        if Options.platform == 'darwin':
            lv2_path = lilv_path_sep.join(['~/Library/Audio/Plug-Ins/LV2',
                                           '~/.lv2',
                                           '/usr/local/lib/lv2',
                                           '/usr/lib/lv2',
                                           '/Library/Audio/Plug-Ins/LV2'])
        elif Options.platform == 'haiku':
            lv2_path = lilv_path_sep.join(['~/.lv2',
                                           '/boot/common/add-ons/lv2'])
        elif Options.platform == 'win32':
            lv2_path = lilv_path_sep.join(['%APPDATA%\\\\LV2',
                                           '%COMMONPROGRAMFILES%\\\\LV2'])
        else:
            libdirname = os.path.basename(conf.env.LIBDIR)
            lv2_path = lilv_path_sep.join(['~/.lv2',
                                           '/usr/%s/lv2' % libdirname,
                                           '/usr/local/%s/lv2' % libdirname])
    autowaf.define(conf, 'LILV_DEFAULT_LV2_PATH', lv2_path)

    conf.env.LIB_LILV = ['lilv-%s' % LILV_MAJOR_VERSION]

    conf.write_config_header('lilv_config.h', remove=False)

    autowaf.display_msg(conf, 'Default LV2_PATH',
                        conf.env.LILV_DEFAULT_LV2_PATH)
    autowaf.display_msg(conf, 'Utilities',
                        bool(conf.env.BUILD_UTILS))
    autowaf.display_msg(conf, 'Unit tests',
                        bool(conf.env.BUILD_TESTS))
    autowaf.display_msg(conf, 'Dynamic manifest support',
                        bool(conf.env.LILV_DYN_MANIFEST))
    autowaf.display_msg(conf, 'Python bindings',
                        conf.is_defined('LILV_PYTHON'))

    conf.undefine('LILV_DEFAULT_LV2_PATH')  # Cmd line errors with VC++
    print('')

def build_util(bld, name, defines):
    obj = bld(features     = 'c cprogram',
              source       = name + '.c',
              includes     = ['.', './src', './utils'],
              use          = 'liblilv',
              target       = name,
              defines      = defines,
              install_path = '${BINDIR}')
    if not bld.env.BUILD_SHARED or bld.env.STATIC_PROGS:
        obj.use = 'liblilv_static'
    if bld.env.STATIC_PROGS:
        if not bld.env.MSVC_COMPILER:
            obj.lib = ['m']
            obj.env.SHLIB_MARKER = obj.env.STLIB_MARKER
            obj.linkflags        = ['-static', '-Wl,--start-group']
    return obj

def build(bld):
    # C/C++ Headers
    includedir = '${INCLUDEDIR}/lilv-%s/lilv' % LILV_MAJOR_VERSION
    bld.install_files(includedir, bld.path.ant_glob('lilv/*.h'))
    bld.install_files(includedir, bld.path.ant_glob('lilv/*.hpp'))

    # Pkgconfig file
    autowaf.build_pc(bld, 'LILV', LILV_VERSION, LILV_MAJOR_VERSION, [],
                     {'LILV_MAJOR_VERSION' : LILV_MAJOR_VERSION,
                      'LILV_PKG_DEPS'      : 'lv2 serd-0 sord-0 sratom-0'})

    lib_source = '''
        src/collections.c
        src/instance.c
        src/lib.c
        src/node.c
        src/plugin.c
        src/pluginclass.c
        src/port.c
        src/query.c
        src/scalepoint.c
        src/state.c
        src/ui.c
        src/util.c
        src/world.c
        src/zix/tree.c
    '''.split()

    lib      = ['dl']
    libflags = ['-fvisibility=hidden']
    defines  = []
    if sys.platform == 'win32':
        lib = []
    if bld.env.MSVC_COMPILER:
        libflags = []
        defines  = ['snprintf=_snprintf']
    elif sys.platform.find('bsd') > 0:
        lib = []

    # Shared Library
    if bld.env.BUILD_SHARED:
        obj = bld(features        = 'c cshlib',
                  export_includes = ['.'],
                  source          = lib_source,
                  includes        = ['.', './src'],
                  name            = 'liblilv',
                  target          = 'lilv-%s' % LILV_MAJOR_VERSION,
                  vnum            = LILV_LIB_VERSION,
                  install_path    = '${LIBDIR}',
                  defines         = ['LILV_SHARED', 'LILV_INTERNAL'],
                  cflags          = libflags,
                  lib             = lib)
        autowaf.use_lib(bld, obj, 'SORD SRATOM LV2')

    # Static library
    if bld.env.BUILD_STATIC:
        obj = bld(features        = 'c cstlib',
                  export_includes = ['.'],
                  source          = lib_source,
                  includes        = ['.', './src'],
                  name            = 'liblilv_static',
                  target          = 'lilv-%s' % LILV_MAJOR_VERSION,
                  vnum            = LILV_LIB_VERSION,
                  install_path    = '${LIBDIR}',
                  defines         = defines + ['LILV_INTERNAL'])
        autowaf.use_lib(bld, obj, 'SORD SRATOM LV2')

    if bld.env.BUILD_TESTS:
        test_libs   = lib
        test_cflags = ['']
        if bld.is_defined('HAVE_GCOV'):
            test_libs   += ['gcov']
            test_cflags += ['-fprofile-arcs', '-ftest-coverage']

        # Test plugin library
        penv          = bld.env.derive()
        shlib_pattern = penv.cshlib_PATTERN
        if shlib_pattern.startswith('lib'):
            shlib_pattern = shlib_pattern[3:]
        penv.cshlib_PATTERN   = shlib_pattern
        shlib_ext = shlib_pattern[shlib_pattern.rfind('.'):]

        obj = bld(features     = 'c cshlib',
                  env          = penv,
                  source       = 'test/test_plugin.c',
                  name         = 'test_plugin',
                  target       = 'test/test_plugin.lv2/test_plugin',
                  install_path = None,
                  defines      = defines,
                  cflags       = test_cflags,
                  lib          = test_libs,
                  uselib       = 'LV2')

        # Test plugin data files
        for i in [ 'manifest.ttl.in', 'test_plugin.ttl.in' ]:
            bld(features     = 'subst',
                source       = 'test/' + i,
                target       = 'test/test_plugin.lv2/' + i.replace('.in', ''),
                install_path = None,
                SHLIB_EXT    = shlib_ext)

        # Static profiled library (for unit test code coverage)
        obj = bld(features     = 'c cstlib',
                  source       = lib_source,
                  includes     = ['.', './src'],
                  name         = 'liblilv_profiled',
                  target       = 'lilv_profiled',
                  install_path = None,
                  defines      = defines + ['LILV_INTERNAL'],
                  cflags       = test_cflags,
                  lib          = test_libs)
        autowaf.use_lib(bld, obj, 'SORD SRATOM LV2')

        # Unit test program
        bpath = os.path.abspath(os.path.join(out, 'test', 'test_plugin.lv2'))
        bpath = bpath.replace('\\', '/')

=== debian/changelog ===
lilv (0.14.4~dfsg0-1) unstable; urgency=low

  * New upstream release.
  * Add mechanism to repack the upstream tarball.
  * Refresh patches.
  * Refresh debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Tue, 28 Aug 2012 15:14:03 +0200

=== debian/control ===
Source: lilv
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9),
 libjack-dev,
 libserd-dev (>= 0.14.0~),
 libsord-dev (>= 0.8.0~),
 libsratom-dev,
 lv2-dev,
 pkg-config,
 python-all-dev (>= 2.6.6-3),
 swig
X-Python-Version: >= 2.6
Standards-Version: 3.9.3
Homepage: http://drobilla.net/software/lilv/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/lilv.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/lilv.git

Package: liblilv-0-0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: library for simple use of LV2 plugins
 Lilv (formerly SLV2) is a library for LV2 hosts intended to make using
 LV2 Plugins as simple as possible (without sacrificing capabilities).
 .
 Lilv is the successor to SLV2, rewritten to be significantly faster
 and have minimal dependencies.
 .
 This package provides the shared library.

Package: python-lilv
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Provides:
 ${python:Provides}
Description: library for simple use of LV2 plugins (Python bindings)
 Lilv (formerly SLV2) is a library for LV2 hosts intended to make using
 LV2 Plugins as simple as possible (without sacrificing capabilities).
 .
 Lilv is the successor to SLV2, rewritten to be significantly faster
 and have minimal dependencies.
 .
 This package provides the Python bindings.

Package: liblilv-dev
Section: libdevel
Architecture: any
Depends:
 liblilv-0-0 (= ${binary:Version}),
 libserd-dev (>= 0.14.0~),
 libsord-dev (>= 0.8.0~),
 libsratom-dev,
 lv2-dev,
 ${misc:Depends}
Description: library for simple use of LV2 plugins (development files)
 Lilv (formerly SLV2) is a library for LV2 hosts intended to make using
 LV2 Plugins as simple as possible (without sacrificing capabilities).
 .
 Lilv is the successor to SLV2, rewritten to be significantly faster
 and have minimal dependencies.
 .
 This package provides the development files.

Package: lilv-utils
Section: sound
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 lv2-host
Description: library for simple use of LV2 plugins (runtime files)
 Lilv (formerly SLV2) is a library for LV2 hosts intended to make using
 LV2 Plugins as simple as possible (without sacrificing capabilities).
 .
 Lilv is the successor to SLV2, rewritten to be significantly faster
 and have minimal dependencies.
 .
 This package provides the following utilities:
  * lv2info - Extract information about an LV2 plugin.
  * lv2ls - List all installed LV2 plugins.

=== debian/rules ===
#!/usr/bin/make -f

upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
dfsg_version = $(upstream_version)~dfsg0
pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')

LDFLAGS+=-Wl,--as-needed
WAF = ./waf
PYVERS=$(shell pyversions -s)

%:
	dh $@ --with python2

override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_install:
	for pyver in $(PYVERS); do \
		PYTHON="$$pyver" $(WAF) configure \
				--prefix=/usr \
				--mandir=/usr/share/man \
				--strict \
				--debug \
				--bindings \
				--dyn-manifest && \
		PYTHON="$$pyver" $(WAF) && \
		PYTHON="$$pyver" $(WAF) install -f --destdir=$(CURDIR)/debian/tmp ; \
	done

override_dh_auto_clean:
	$(WAF) clean || true
	find -name "*.pyc" -delete
	rm -rf build .waf*
	dh_auto_clean

# get-orig-source to drop waf
get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=.
	tar -xf $(pkg)_$(upstream_version).orig.tar.bz2
	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
	cd $(pkg)-$(dfsg_version) ; python waf --help > /dev/null
	mv $(pkg)-$(dfsg_version)/.waf-*/* $(pkg)-$(dfsg_version)
	sed -i '/^#==>$$/,$$d' $(pkg)-$(dfsg_version)/waf
	rmdir $(pkg)-$(dfsg_version)/.waf-*
	find $(pkg)-$(dfsg_version)/ -name '*.pyc' -delete
	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(dfsg_version)
	bzip2 -9f $(pkg)_$(dfsg_version).orig.tar
	rm -rf $(pkg)-$(dfsg_version)

## lilv 0.16.0~dfsg0

=== wscript ===
--- 
+++ 
@@ -1,29 +1,22 @@
 #!/usr/bin/env python
 import os
+import subprocess
 import sys
-import subprocess
-
-from waflib.extras import autowaf as autowaf
 import waflib.Options as Options
-
-# Version of this package (even if built as a child)
-LILV_VERSION       = '0.14.4'
-LILV_MAJOR_VERSION = '0'
-
-# Library version (UNIX style major, minor, micro)
+import waflib.extras.autowaf as autowaf
+
+# Library and package version (UNIX style major, minor, micro)
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-# Lilv uses the same version number for both library and package
-LILV_LIB_VERSION = LILV_VERSION
-
-# Variables for 'waf dist'
-APPNAME = 'lilv'
-VERSION = LILV_VERSION
-
-# Mandatory variables
-top = '.'
-out = 'build'
+LILV_VERSION       = '0.16.0'
+LILV_MAJOR_VERSION = '0'
+
+# Mandatory waf variables
+APPNAME = 'lilv'        # Package name for waf dist
+VERSION = LILV_VERSION  # Package version for waf dist
+top     = '.'           # Source directory
+out     = 'build'       # Build directory
 
 def options(opt):
     opt.load('compiler_c')
@@ -84,9 +77,9 @@
     autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
                       atleast_version='0.14.0', mandatory=True)
     autowaf.check_pkg(conf, 'sord-0', uselib_store='SORD',
-                      atleast_version='0.8.0', mandatory=True)
+                      atleast_version='0.12.0', mandatory=True)
     autowaf.check_pkg(conf, 'sratom-0', uselib_store='SRATOM',
-                      atleast_version='0.2.0', mandatory=True)
+                      atleast_version='0.4.0', mandatory=True)
 
     autowaf.define(conf, 'LILV_NEW_LV2', 1)  # New LV2 discovery API
 
@@ -155,8 +148,7 @@
                                            '/usr/local/%s/lv2' % libdirname])
     autowaf.define(conf, 'LILV_DEFAULT_LV2_PATH', lv2_path)
 
-    conf.env.LIB_LILV = ['lilv-%s' % LILV_MAJOR_VERSION]
-
+    autowaf.set_lib_env(conf, 'lilv', LILV_VERSION)
     conf.write_config_header('lilv_config.h', remove=False)
 
     autowaf.display_msg(conf, 'Default LV2_PATH',
@@ -237,12 +229,12 @@
                   includes        = ['.', './src'],
                   name            = 'liblilv',
                   target          = 'lilv-%s' % LILV_MAJOR_VERSION,
-                  vnum            = LILV_LIB_VERSION,
+                  vnum            = LILV_VERSION,
                   install_path    = '${LIBDIR}',
                   defines         = ['LILV_SHARED', 'LILV_INTERNAL'],
                   cflags          = libflags,
                   lib             = lib)
-        autowaf.use_lib(bld, obj, 'SORD SRATOM LV2')
+        autowaf.use_lib(bld, obj, 'SERD SORD SRATOM LV2')
 
     # Static library
     if bld.env.BUILD_STATIC:
@@ -252,10 +244,10 @@
                   includes        = ['.', './src'],
                   name            = 'liblilv_static',
                   target          = 'lilv-%s' % LILV_MAJOR_VERSION,
-                  vnum            = LILV_LIB_VERSION,
+                  vnum            = LILV_VERSION,
                   install_path    = '${LIBDIR}',
                   defines         = defines + ['LILV_INTERNAL'])
-        autowaf.use_lib(bld, obj, 'SORD SRATOM LV2')
+        autowaf.use_lib(bld, obj, 'SERD SORD SRATOM LV2')
 
     if bld.env.BUILD_TESTS:
         test_libs   = lib
@@ -301,8 +293,9 @@
                   defines      = defines + ['LILV_INTERNAL'],
                   cflags       = test_cflags,
                   lib          = test_libs)
-        autowaf.use_lib(bld, obj, 'SORD SRATOM LV2')
+        autowaf.use_lib(bld, obj, 'SERD SORD SRATOM LV2')
 
         # Unit test program
         bpath = os.path.abspath(os.path.join(out, 'test', 'test_plugin.lv2'))
         bpath = bpath.replace('\\', '/')
+        obj = bld(features     = 'c cprogram',

=== debian/changelog ===
lilv (0.16.0~dfsg0-1) unstable; urgency=low

  [ Alessio Treglia ]
  * New upstream release.
  * Needs sord >= 0.12.0.
  * Needs sratom >= 0.4.0.
  * Refresh {,Build}-Depends fields according to the most recent API changes.
  * Refresh patches.
  * Add patch to prevent build failure.
  * Update symbols file.
  * Bump Standards.
  * Refresh copyright.

  [ Jaromír Mikeš ]
  * Added myself as uploader

 -- Alessio Treglia <alessio@debian.org>  Tue, 27 Aug 2013 17:07:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,20 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  debhelper (>= 9),
  libjack-dev,
- libserd-dev (>= 0.14.0~),
- libsord-dev (>= 0.8.0~),
- libsratom-dev,
+ libserd-dev (>= 0.18.0~),
+ libsord-dev (>= 0.12.0~),
+ libsratom-dev (>= 0.4.0~),
  lv2-dev,
  pkg-config,
  python-all-dev (>= 2.6.6-3),
  swig
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://drobilla.net/software/lilv/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/lilv.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/lilv.git
@@ -57,9 +58,9 @@
 Architecture: any
 Depends:
  liblilv-0-0 (= ${binary:Version}),
- libserd-dev (>= 0.14.0~),
- libsord-dev (>= 0.8.0~),
- libsratom-dev,
+ libserd-dev (>= 0.18.0~),
+ libsord-dev (>= 0.12.0~),
+ libsratom-dev (>= 0.4.0~),
  lv2-dev,
  ${misc:Depends}
 Description: library for simple use of LV2 plugins (development files)

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./,dversionmangle=s/~dfsg.*//" \
http://download.drobilla.net/lilv-(.*)\.tar\.bz2

## lilv 0.18.0~dfsg0

=== wscript ===
--- 
+++ 
@@ -1,15 +1,18 @@
 #!/usr/bin/env python
 import os
+import shutil
 import subprocess
 import sys
 import waflib.Options as Options
 import waflib.extras.autowaf as autowaf
+import waflib.Build as Build
+import waflib.Logs as Logs
 
 # Library and package version (UNIX style major, minor, micro)
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-LILV_VERSION       = '0.16.0'
+LILV_VERSION       = '0.18.0'
 LILV_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -55,7 +58,7 @@
             conf.check_python_headers()
             autowaf.define(conf, 'LILV_PYTHON', 1);
         except:
-            pass
+            Logs.warn('Failed to configure Python (%s)\n' % sys.exc_info()[1])
 
     autowaf.configure(conf)
     autowaf.set_c99_mode(conf)
@@ -73,7 +76,7 @@
         conf.fatal('Neither a shared nor a static build requested')
 
     autowaf.check_pkg(conf, 'lv2', uselib_store='LV2',
-                      atleast_version='1.0.0', mandatory=True)
+                      atleast_version='1.8.0', mandatory=True)
     autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
                       atleast_version='0.14.0', mandatory=True)
     autowaf.check_pkg(conf, 'sord-0', uselib_store='SORD',
@@ -296,6 +299,4 @@
         autowaf.use_lib(bld, obj, 'SERD SORD SRATOM LV2')
 
         # Unit test program
-        bpath = os.path.abspath(os.path.join(out, 'test', 'test_plugin.lv2'))
-        bpath = bpath.replace('\\', '/')
-        obj = bld(features     = 'c cprogram',
+        blddir = autowaf.build_dir(APPNAME, 'test')

=== debian/changelog ===
lilv (0.18.0~dfsg0-2) unstable; urgency=medium

  * Team upload
  * Drop 9001-bindings.patch (merged upstream) (Closes: #747680)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 25 May 2014 14:20:48 +0200

lilv (0.18.0~dfsg0-1) unstable; urgency=medium

  [ Jaromír Mikeš ]
  * New upstream release.
  * Tuned watch file to work with repacking scripts.
  * Added repacking scripts.
  * Set compat 9.
  * Bump Standards.
  * Patches refreshed.

  [ Alessio Treglia ]
  * Don't build python bindings anymore until upstream has solved the
    build failure.
  * Drop build-dependency on swig.
  * Refresh debian/copyright.
  * Update symbols file.

 -- Alessio Treglia <alessio@debian.org>  Sat, 03 May 2014 11:34:33 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,25 +6,23 @@
 
 LDFLAGS+=-Wl,--as-needed
 WAF = ./waf
-PYVERS=$(shell pyversions -s)
 
 %:
-	dh $@ --with python2
+	dh $@
 
 override_dh_auto_configure:
+	$(WAF) configure \
+		--prefix=/usr \
+		--mandir=/usr/share/man \
+		--strict \
+		--debug \
+		--dyn-manifest
+
 override_dh_auto_build:
+	$(WAF)
+
 override_dh_auto_install:
-	for pyver in $(PYVERS); do \
-		PYTHON="$$pyver" $(WAF) configure \
-				--prefix=/usr \
-				--mandir=/usr/share/man \
-				--strict \
-				--debug \
-				--bindings \
-				--dyn-manifest && \
-		PYTHON="$$pyver" $(WAF) && \
-		PYTHON="$$pyver" $(WAF) install -f --destdir=$(CURDIR)/debian/tmp ; \
-	done
+	$(WAF) install -f --destdir=$(CURDIR)/debian/tmp
 
 override_dh_auto_clean:
 	$(WAF) clean || true

## lilv 0.20.0~dfsg0

=== debian/changelog ===
lilv (0.20.0~dfsg0-1) unstable; urgency=medium

  [ Jaromír Mikeš ]
  * New upstream release.
  * Tuned get-orig-source.
  * Removed old repack script.
  * Remove --debug from configure to cppflags be passed.

  [ Alessio Treglia ]
  * Update symbols file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 19 Aug 2014 15:44:39 +0100

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,6 @@
 		--prefix=/usr \
 		--mandir=/usr/share/man \
 		--strict \
-		--debug \
 		--dyn-manifest
 
 override_dh_auto_build:
@@ -43,3 +42,5 @@
 	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(dfsg_version)
 	bzip2 -9f $(pkg)_$(dfsg_version).orig.tar
 	rm -rf $(pkg)-$(dfsg_version)
+	mv $(pkg)_$(dfsg_version).orig.tar.bz2 ../$(pkg)_$(dfsg_version).orig.tar.bz2
+	mv $(pkg)_$(upstream_version).orig.tar.bz2 ../$(pkg)_$(upstream_version).orig.tar.bz2

## lilv 0.20.0%7edfsg0

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,8 @@
  libsratom-dev (>= 0.4.0~),
  lv2-dev,
  pkg-config,
- python-all-dev (>= 2.6.6-3),
- swig
-X-Python-Version: >= 2.6
-Standards-Version: 3.9.4
+ python
+Standards-Version: 3.9.5
 Homepage: http://drobilla.net/software/lilv/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/lilv.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/lilv.git
@@ -34,24 +32,6 @@
  and have minimal dependencies.
  .
  This package provides the shared library.
-
-Package: python-lilv
-Section: python
-Architecture: any
-Depends:
- ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends}
-Provides:
- ${python:Provides}
-Description: library for simple use of LV2 plugins (Python bindings)
- Lilv (formerly SLV2) is a library for LV2 hosts intended to make using
- LV2 Plugins as simple as possible (without sacrificing capabilities).
- .
- Lilv is the successor to SLV2, rewritten to be significantly faster
- and have minimal dependencies.
- .
- This package provides the Python bindings.
 
 Package: liblilv-dev
 Section: libdevel

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./,dversionmangle=s/~dfsg.*//" \
http://download.drobilla.net/lilv-(.*)\.tar\.bz2 \
	debian sh debian/repack.stub

## lilv 0.22.0~dfsg0

=== wscript ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-LILV_VERSION       = '0.18.0'
+LILV_VERSION       = '0.22.0'
 LILV_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -20,6 +20,13 @@
 VERSION = LILV_VERSION  # Package version for waf dist
 top     = '.'           # Source directory
 out     = 'build'       # Build directory
+
+test_plugins = ['missing_descriptor',
+                'missing_plugin',
+                'missing_name',
+                'missing_port_name',
+                'lib_descriptor',
+                'failed_lib_descriptor']
 
 def options(opt):
     opt.load('compiler_c')
@@ -34,6 +41,8 @@
                    help='Build support for dynamic manifests')
     opt.add_option('--test', action='store_true', dest='build_tests',
                    help='Build unit tests')
+    opt.add_option('--no-coverage', action='store_true', dest='no_coverage',
+                   help='Do not use gcov for code coverage')
     opt.add_option('--no-bash-completion', action='store_true',
                    dest='no_bash_completion',
                    help='Do not install bash completion script in CONFIGDIR')
@@ -80,21 +89,16 @@
     autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
                       atleast_version='0.14.0', mandatory=True)
     autowaf.check_pkg(conf, 'sord-0', uselib_store='SORD',
-                      atleast_version='0.12.0', mandatory=True)
+                      atleast_version='0.13.0', mandatory=True)
     autowaf.check_pkg(conf, 'sratom-0', uselib_store='SRATOM',
                       atleast_version='0.4.0', mandatory=True)
 
-    autowaf.define(conf, 'LILV_NEW_LV2', 1)  # New LV2 discovery API
-
     defines = ['_POSIX_C_SOURCE', '_BSD_SOURCE']
-    if Options.platform == 'darwin':
+    if conf.env.DEST_OS == 'darwin':
         defines += ['_DARWIN_C_SOURCE']
 
-    # Check for gcov library (for test coverage)
-    if conf.env.BUILD_TESTS:
-        conf.check_cc(lib='gcov',
-                      define_name='HAVE_GCOV',
-                      mandatory=False)
+    if conf.env.BUILD_TESTS and not Options.options.no_coverage:
+        conf.check_cc(lib='gcov', define_name='HAVE_GCOV', mandatory=False)
 
     conf.check_cc(function_name='flock',
                   header_name='sys/file.h',
@@ -122,7 +126,7 @@
 
     lilv_path_sep = ':'
     lilv_dir_sep  = '/'
-    if sys.platform == 'win32':
+    if conf.env.DEST_OS == 'win32':
         lilv_path_sep = ';'
         lilv_dir_sep = '\\\\'
 
@@ -132,16 +136,16 @@
     # Set default LV2 path
     lv2_path = Options.options.default_lv2_path
     if lv2_path == '':
-        if Options.platform == 'darwin':
+        if conf.env.DEST_OS == 'darwin':
             lv2_path = lilv_path_sep.join(['~/Library/Audio/Plug-Ins/LV2',
                                            '~/.lv2',
                                            '/usr/local/lib/lv2',
                                            '/usr/lib/lv2',
                                            '/Library/Audio/Plug-Ins/LV2'])
-        elif Options.platform == 'haiku':
+        elif conf.env.DEST_OS == 'haiku':
             lv2_path = lilv_path_sep.join(['~/.lv2',
                                            '/boot/common/add-ons/lv2'])
-        elif Options.platform == 'win32':
+        elif conf.env.DEST_OS == 'win32':
             lv2_path = lilv_path_sep.join(['%APPDATA%\\\\LV2',
                                            '%COMMONPROGRAMFILES%\\\\LV2'])
         else:
@@ -176,6 +180,7 @@
               target       = name,
               defines      = defines,
               install_path = '${BINDIR}')
+    autowaf.use_lib(bld, obj, 'SERD SORD SRATOM LV2')
     if not bld.env.BUILD_SHARED or bld.env.STATIC_PROGS:
         obj.use = 'liblilv_static'
     if bld.env.STATIC_PROGS:
@@ -190,11 +195,6 @@
     includedir = '${INCLUDEDIR}/lilv-%s/lilv' % LILV_MAJOR_VERSION
     bld.install_files(includedir, bld.path.ant_glob('lilv/*.h'))
     bld.install_files(includedir, bld.path.ant_glob('lilv/*.hpp'))
-
-    # Pkgconfig file
-    autowaf.build_pc(bld, 'LILV', LILV_VERSION, LILV_MAJOR_VERSION, [],
-                     {'LILV_MAJOR_VERSION' : LILV_MAJOR_VERSION,
-                      'LILV_PKG_DEPS'      : 'lv2 serd-0 sord-0 sratom-0'})
 
     lib_source = '''
         src/collections.c
@@ -216,13 +216,19 @@
     lib      = ['dl']
     libflags = ['-fvisibility=hidden']
     defines  = []
-    if sys.platform == 'win32':
+    if bld.env.DEST_OS == 'win32':
         lib = []
     if bld.env.MSVC_COMPILER:
         libflags = []
         defines  = ['snprintf=_snprintf']
-    elif sys.platform.find('bsd') > 0:
+    elif bld.env.DEST_OS.find('bsd') > 0:
         lib = []
+
+    # Pkgconfig file
+    autowaf.build_pc(bld, 'LILV', LILV_VERSION, LILV_MAJOR_VERSION, [],
+                     {'LILV_MAJOR_VERSION' : LILV_MAJOR_VERSION,
+                      'LILV_PKG_DEPS'      : 'lv2 serd-0 sord-0 sratom-0',
+                      'LILV_PKG_LIBS'      : ' -l'.join([''] + lib)})
 
     # Shared Library
     if bld.env.BUILD_SHARED:
@@ -267,36 +273,26 @@
         penv.cshlib_PATTERN   = shlib_pattern
         shlib_ext = shlib_pattern[shlib_pattern.rfind('.'):]
 
-        obj = bld(features     = 'c cshlib',
-                  env          = penv,
-                  source       = 'test/test_plugin.c',
-                  name         = 'test_plugin',
-                  target       = 'test/test_plugin.lv2/test_plugin',
-                  install_path = None,
-                  defines      = defines,
-                  cflags       = test_cflags,
-                  lib          = test_libs,
-                  uselib       = 'LV2')
-
-        # Test plugin data files
-        for i in [ 'manifest.ttl.in', 'test_plugin.ttl.in' ]:
-            bld(features     = 'subst',
-                source       = 'test/' + i,
-                target       = 'test/test_plugin.lv2/' + i.replace('.in', ''),
-                install_path = None,
-                SHLIB_EXT    = shlib_ext)
-
-        # Static profiled library (for unit test code coverage)
-        obj = bld(features     = 'c cstlib',
-                  source       = lib_source,
-                  includes     = ['.', './src'],
-                  name         = 'liblilv_profiled',
-                  target       = 'lilv_profiled',
-                  install_path = None,
-                  defines      = defines + ['LILV_INTERNAL'],
-                  cflags       = test_cflags,
-                  lib          = test_libs)
-        autowaf.use_lib(bld, obj, 'SERD SORD SRATOM LV2')
-
-        # Unit test program
-        blddir = autowaf.build_dir(APPNAME, 'test')
+        for p in ['test'] + test_plugins:
+            obj = bld(features     = 'c cshlib',
+                      env          = penv,
+                      source       = 'test/%s.lv2/%s.c' % (p, p),
+                      name         = p,
+                      target       = 'test/%s.lv2/%s' % (p, p),
+                      install_path = None,
+                      defines      = defines,
+                      cflags       = test_cflags,
+                      lib          = test_libs,
+                      uselib       = 'LV2')
+
+        for p in test_plugins:
+            obj = bld(features     = 'c cprogram',
+                      source       = 'test/%s.lv2/test_%s.c' % (p, p),
+                      target       = 'test/test_%s' % p,
+                      includes     = ['.', './src'],
+                      use          = 'liblilv_profiled',
+                      install_path = None,
+                      defines      = defines,
+                      cflags       = test_cflags,
+                      lib          = test_libs,
+                      uselib       = 'LV2')

=== debian/changelog ===
lilv (0.22.0~dfsg0-1) unstable; urgency=medium

  * Imported Upstream version 0.22.0~dfsg0
  * Refresh patches.
  * Tighten deps.
  * Bump Standards.
  * Install upstream changelog.
  * Make watch file more flexible.
  * Build parallel.
  * Update symbols file.
  * Update copyright file.
  * Install bash completion to new dir.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 15 Oct 2015 09:26:22 +0200

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
 Build-Depends:
  debhelper (>= 9),
  libjack-dev,
- libserd-dev (>= 0.18.0~),
- libsord-dev (>= 0.12.0~),
+ libserd-dev (>= 0.22.0~),
+ libsord-dev (>= 0.14.0~),
  libsratom-dev (>= 0.4.0~),
  lv2-dev,
  pkg-config,
  python
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://drobilla.net/software/lilv/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/lilv.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/lilv.git
@@ -38,8 +38,8 @@
 Architecture: any
 Depends:
  liblilv-0-0 (= ${binary:Version}),
- libserd-dev (>= 0.18.0~),
- libsord-dev (>= 0.12.0~),
+ libserd-dev (>= 0.22.0~),
+ libsord-dev (>= 0.14.0~),
  libsratom-dev (>= 0.4.0~),
  lv2-dev,
  ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 WAF = ./waf
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_configure:
 	$(WAF) configure \
@@ -29,6 +29,9 @@
 	rm -rf build .waf*
 	dh_auto_clean
 
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
+
 # get-orig-source to drop waf
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=.

## lilv 0.24.0~dfsg0

=== wscript ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-LILV_VERSION       = '0.22.0'
+LILV_VERSION       = '0.24.0'
 LILV_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -21,28 +21,31 @@
 top     = '.'           # Source directory
 out     = 'build'       # Build directory
 
-test_plugins = ['missing_descriptor',
-                'missing_plugin',
-                'missing_name',
-                'missing_port_name',
-                'lib_descriptor',
-                'failed_lib_descriptor']
+test_plugins = [
+    'bad_syntax',
+    'failed_instantiation',
+    'failed_lib_descriptor',
+    'lib_descriptor',
+    'missing_descriptor',
+    'missing_name',
+    'missing_plugin',
+    'missing_port',
+    'missing_port_name',
+    'new_version',
+    'old_version'
+]
 
 def options(opt):
     opt.load('compiler_c')
     opt.load('compiler_cxx')
     opt.load('python')
-    autowaf.set_options(opt)
+    autowaf.set_options(opt, test=True)
     opt.add_option('--no-utils', action='store_true', dest='no_utils',
                    help='Do not build command line utilities')
     opt.add_option('--bindings', action='store_true', dest='bindings',
                    help='Build python bindings')
     opt.add_option('--dyn-manifest', action='store_true', dest='dyn_manifest',
                    help='Build support for dynamic manifests')
-    opt.add_option('--test', action='store_true', dest='build_tests',
-                   help='Build unit tests')
-    opt.add_option('--no-coverage', action='store_true', dest='no_coverage',
-                   help='Do not use gcov for code coverage')
     opt.add_option('--no-bash-completion', action='store_true',
                    dest='no_bash_completion',
                    help='Do not install bash completion script in CONFIGDIR')
@@ -61,7 +64,6 @@
 
     if Options.options.bindings:
         try:
-            conf.load('swig')
             conf.load('python')
             conf.load('compiler_cxx')
             conf.check_python_headers()
@@ -74,7 +76,6 @@
     autowaf.display_header('Lilv Configuration')
 
     conf.env.BASH_COMPLETION = not Options.options.no_bash_completion
-    conf.env.BUILD_TESTS     = Options.options.build_tests
     conf.env.BUILD_UTILS     = not Options.options.no_utils
     conf.env.BUILD_SHARED    = not Options.options.no_shared
     conf.env.STATIC_PROGS    = Options.options.static_progs
@@ -85,20 +86,19 @@
         conf.fatal('Neither a shared nor a static build requested')
 
     autowaf.check_pkg(conf, 'lv2', uselib_store='LV2',
-                      atleast_version='1.8.0', mandatory=True)
+                      atleast_version='1.14.0', mandatory=True)
     autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
                       atleast_version='0.14.0', mandatory=True)
     autowaf.check_pkg(conf, 'sord-0', uselib_store='SORD',
                       atleast_version='0.13.0', mandatory=True)
     autowaf.check_pkg(conf, 'sratom-0', uselib_store='SRATOM',
                       atleast_version='0.4.0', mandatory=True)
-
-    defines = ['_POSIX_C_SOURCE', '_BSD_SOURCE']
+    autowaf.check_pkg(conf, 'sndfile', uselib_store='SNDFILE',
+                      atleast_version='1.0.0', mandatory=False)
+
+    defines = ['_POSIX_C_SOURCE=200809L', '_BSD_SOURCE']
     if conf.env.DEST_OS == 'darwin':
         defines += ['_DARWIN_C_SOURCE']
-
-    if conf.env.BUILD_TESTS and not Options.options.no_coverage:
-        conf.check_cc(lib='gcov', define_name='HAVE_GCOV', mandatory=False)
 
     conf.check_cc(function_name='flock',
                   header_name='sys/file.h',
@@ -114,11 +114,15 @@
 
     conf.check_cc(function_name='clock_gettime',
                   header_name=['sys/time.h','time.h'],
-                  defines=['_POSIX_C_SOURCE=199309L'],
+                  defines=['_POSIX_C_SOURCE=200809L'],
                   define_name='HAVE_CLOCK_GETTIME',
                   uselib_store='CLOCK_GETTIME',
                   lib=['rt'],
                   mandatory=False)
+
+    conf.check_cc(define_name   = 'HAVE_LIBDL',
+                  lib           = 'dl',
+                  mandatory     = False)
 
     autowaf.define(conf, 'LILV_VERSION', LILV_VERSION)
     if Options.options.dyn_manifest:
@@ -172,7 +176,7 @@
     conf.undefine('LILV_DEFAULT_LV2_PATH')  # Cmd line errors with VC++
     print('')
 
-def build_util(bld, name, defines):
+def build_util(bld, name, defines, libs=''):
     obj = bld(features     = 'c cprogram',
               source       = name + '.c',
               includes     = ['.', './src', './utils'],
@@ -180,7 +184,7 @@
               target       = name,
               defines      = defines,
               install_path = '${BINDIR}')
-    autowaf.use_lib(bld, obj, 'SERD SORD SRATOM LV2')
+    autowaf.use_lib(bld, obj, 'SERD SORD SRATOM LV2 ' + libs)
     if not bld.env.BUILD_SHARED or bld.env.STATIC_PROGS:
         obj.use = 'liblilv_static'
     if bld.env.STATIC_PROGS:
@@ -213,16 +217,16 @@
         src/zix/tree.c
     '''.split()
 
-    lib      = ['dl']
+    lib      = []
     libflags = ['-fvisibility=hidden']
     defines  = []
+    if bld.is_defined('HAVE_LIBDL'):
+        lib    += ['dl']
     if bld.env.DEST_OS == 'win32':
         lib = []
     if bld.env.MSVC_COMPILER:
         libflags = []
         defines  = ['snprintf=_snprintf']
-    elif bld.env.DEST_OS.find('bsd') > 0:
-        lib = []
 
     # Pkgconfig file
     autowaf.build_pc(bld, 'LILV', LILV_VERSION, LILV_MAJOR_VERSION, [],
@@ -259,11 +263,12 @@
         autowaf.use_lib(bld, obj, 'SERD SORD SRATOM LV2')
 
     if bld.env.BUILD_TESTS:
-        test_libs   = lib
-        test_cflags = ['']
-        if bld.is_defined('HAVE_GCOV'):
-            test_libs   += ['gcov']
-            test_cflags += ['-fprofile-arcs', '-ftest-coverage']
+        test_libs      = lib
+        test_cflags    = ['']
+        test_linkflags = ['']
+        if not bld.env.NO_COVERAGE:
+            test_cflags    += ['--coverage']
+            test_linkflags += ['--coverage']
 
         # Test plugin library
         penv          = bld.env.derive()
@@ -282,10 +287,14 @@
                       install_path = None,
                       defines      = defines,
                       cflags       = test_cflags,
+                      linkflags    = test_linkflags,
                       lib          = test_libs,
                       uselib       = 'LV2')
 
         for p in test_plugins:
+            if not bld.path.find_node('test/%s.lv2/test_%s.c' % (p, p)):
+                continue
+
             obj = bld(features     = 'c cprogram',
                       source       = 'test/%s.lv2/test_%s.c' % (p, p),
                       target       = 'test/test_%s' % p,
@@ -294,5 +303,4 @@
                       install_path = None,
                       defines      = defines,
                       cflags       = test_cflags,
-                      lib          = test_libs,
-                      uselib       = 'LV2')
+                      linkflags    = test_linkflags,

=== debian/changelog ===
lilv (0.24.0~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.24.0~dfsg0
  * Patch refreshed.
  * Patch disabled.
  * Tighten B-D lv2-dev.
  * Bump Standards.
  * Fix VCS fields.
  * Update symbols file.
  * Fix some hardening.
  * Add B-D libsndfile1-dev.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 22 Sep 2016 13:20:16 +0200

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,17 @@
 Build-Depends:
  debhelper (>= 9),
  libjack-dev,
+ libsndfile1-dev,
  libserd-dev (>= 0.22.0~),
  libsord-dev (>= 0.14.0~),
  libsratom-dev (>= 0.4.0~),
- lv2-dev,
+ lv2-dev (>= 1.14.0~),
  pkg-config,
  python
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://drobilla.net/software/lilv/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/lilv.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/lilv.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/lilv.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/lilv.git
 
 Package: liblilv-0-0
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
 dfsg_version = $(upstream_version)~dfsg0
 pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 LDFLAGS+=-Wl,--as-needed
 WAF = ./waf

## lilv 0.24.2~dfsg0

=== wscript ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-LILV_VERSION       = '0.24.0'
+LILV_VERSION       = '0.24.2'
 LILV_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -96,7 +96,7 @@
     autowaf.check_pkg(conf, 'sndfile', uselib_store='SNDFILE',
                       atleast_version='1.0.0', mandatory=False)
 
-    defines = ['_POSIX_C_SOURCE=200809L', '_BSD_SOURCE']
+    defines = ['_POSIX_C_SOURCE=200809L', '_BSD_SOURCE', '_DEFAULT_SOURCE']
     if conf.env.DEST_OS == 'darwin':
         defines += ['_DARWIN_C_SOURCE']
 
@@ -303,4 +303,3 @@
                       install_path = None,
                       defines      = defines,
                       cflags       = test_cflags,
-                      linkflags    = test_linkflags,

=== debian/changelog ===
lilv (0.24.2~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.24.2~dfsg0
  * Set dh/compat 10.
  * Sign tags.
  * Avoid useless linking.
  * Patches forwarded.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 04 Jan 2017 22:14:34 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  libjack-dev,
  libsndfile1-dev,
  libserd-dev (>= 0.22.0~),

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,14 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
-LDFLAGS+=-Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+export LINKFLAGS += $(LDFLAGS)
+
 WAF = ./waf
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	$(WAF) configure \

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./,dversionmangle=s/~dfsg.*//" \
http://download.drobilla.net/lilv-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
